net.minecraftforge.liquids

## Class LiquidDictionary

- java.lang.Object
- - net.minecraftforge.liquids.LiquidDictionary

- Deprecated.

      @Deprecated
      public abstract class LiquidDictionary
      extends Object

  When creating liquids you should register them with this class.
  Author:
    CovertJaguar

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LiquidDictionary.LiquidRegisterEvent` Deprecated. Fired when a new liquid is created

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LiquidDictionary()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `findLiquidName(LiquidStack reference)` Deprecated.
    `static LiquidStack` | `getCanonicalLiquid(LiquidStack liquidStack)` Deprecated.
    `static LiquidStack` | `getCanonicalLiquid(String name)` Deprecated.
    `static LiquidStack` | `getLiquid(String name, int amount)` Deprecated. Returns the liquid matching the name, if such a liquid exists.
    `static Map<String,LiquidStack>` | `getLiquids()` Deprecated. Get an immutable list of the liquids defined
    `static LiquidStack` | `getOrCreateLiquid(String name, LiquidStack liquid)` Deprecated. When creating liquids you should call this function.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LiquidDictionary

          public LiquidDictionary()

      Deprecated.

  - ### Method Detail

    - #### getOrCreateLiquid

          public static LiquidStack getOrCreateLiquid(String name,
                                      LiquidStack liquid)

      Deprecated.
      When creating liquids you should call this function. Upon passing it a name and liquid item it will return either a preexisting implementation of that liquid or the liquid passed in.
      Parameters:
        `name` - the name of the liquid
        `liquid` - the liquid to use if one doesn't exist
      Returns:
        the matching liquid stack

    - #### getLiquid

          public static LiquidStack getLiquid(String name,
                              int amount)

      Deprecated.
      Returns the liquid matching the name, if such a liquid exists. Can return null.
      Parameters:
        `name` - the name of the liquid
        `amount` - the amout of liquid
      Returns:
        a liquidstack for the requested liquid

    - #### getCanonicalLiquid

          public static LiquidStack getCanonicalLiquid(String name)

      Deprecated.

    - #### getLiquids

          public static Map<String,LiquidStack> getLiquids()

      Deprecated.
      Get an immutable list of the liquids defined
      Returns:
        the defined liquids

    - #### findLiquidName

          public static String findLiquidName(LiquidStack reference)

      Deprecated.

    - #### getCanonicalLiquid

          public static LiquidStack getCanonicalLiquid(LiquidStack liquidStack)

      Deprecated.